##Elixir

This is a selected list of resources to help you find your way with Elixir, Phoenix, and Erlang. For a more complete list of Elixir resources, please see the [Elixir Wiki](https://github.com/elixir-lang/elixir/wiki).

- [Elixir Guides](http://elixir-lang.org/getting_started/1.html)
- [Official Documentation](http://elixir-lang.org/docs/stable/elixir) (curent stable release)
- [Hex Packages and Documentation](https://hex.pm)

#####The Erlangist: Understanding Elixir Macros, by Saša Jurić
  - [Part 1](http://www.theerlangelist.com/2014/06/understanding-elixir-macros-part-1.html)
  - [Part 2](http://www.theerlangelist.com/2014/06/understanding-elixir-macros-part-2.html)
  - [Part 3](http://www.theerlangelist.com/2014/06/understanding-elixir-macros-part-3.html)
  - [Part 4](http://www.theerlangelist.com/2014/06/understanding-elixir-macros-part-4.html)
  - [Part 5](http://www.theerlangelist.com/2014/06/understanding-elixir-macros-part-5.html)

#####Books
  - [Programming Elixir](http://pragprog.com/book/elixir/programming-elixir), Dave Thomas
  - [Elixir in Action](http://www.manning.com/juric/), Saša Jurić
  - [Introducing Elixir](http://shop.oreilly.com/product/0636920030584.do), Simon St. Laurent, J. David Eisenberg
  - [Metaprogramming Elixir](https://pragprog.com/book/cmelixir/metaprogramming-elixir), Chris McChord, coming in May 2015

##Phoenix
- [The Phoenix Project](https://github.com/phoenixframework/phoenix)
- [Official Documentation](http://api.phoenixframework.org) (current stable release)

#####Elixir Dose: Let's Build Web App With Phoenix And Ecto, by Riza Fahmi, edited by Augie De Blieck Jr.
  - [Part 1](http://elixirdose.com/post/lets-build-web-app-with-phoenix-and-ecto)
  - [Part 2](http://elixirdose.com/post/phoenix-ecto-and-jobs-portal-project-part-2)
  - [Part 3](http://elixirdose.com/post/phoenix-ecto-and-jobs-portal-project-part-3)
  - [Part 4](http://elixirdose.com/post/phoenix-part-4-registration-and-login)
  - [Part 5](http://elixirdose.com/post/phoenix-flying-high-deploying-phoenix-the-final-part)

#####Videos
  - [All Aboard The Elixir Express](http://www.confreaks.com/videos/3488-railsconf-workshop-all-aboard-the-elixir-expresse), Chris McCord
  - [The Rise of the Phoenix](http://www.confreaks.com/videos/4132-elixirconf2014-rise-of-the-phoenix-building-an-elixir-web-framework), Chris McCord

##Plug
  The Elixir middleware layer Phoenix makes extensive use of.
  - [Source Code and Readme](https://github.com/elixir-lang/plug)
  - [Documentation](http://hexdocs.pm/plug)

##EEX
  The default templating system for Phoenix.
  - [Source Code and Readme](https://github.com/elixir-lang/elixir)
  - [Documentation](http://elixir-lang.org/docs/stable/eex)

##Cowboy
  The webserver Phoenix is based on.
  - [Source Code and Readme](https://github.com/ninenines/cowboy)
  - [User Guides](http://ninenines.eu/docs/en/cowboy/1.0/guide/)
  - [Manual/Function Reference](http://ninenines.eu/docs/en/cowboy/1.0/manual/)

##Erlang
- [Erlang User Guide](http://www.erlang.org/doc/getting_started/users_guide.html)

#####Books
- [Programming Erlang](http://pragprog.com/book/jaerlang2/programming-erlang), 2nd Edition, Joe Armstrong
- [Introducing Erlang](http://shop.oreilly.com/product/0636920025818.do), Simon St. Laurent
- [Learn You Some Erlang for Great Good!](http://www.nostarch.com/erlang), Fred Hebert
- [Erlang and OTP in Action](http://www.manning.com/logan/), Martin Logan, Eric Merritt, and Richard Carlsson
- [Erlang Programming](http://shop.oreilly.com/product/9780596518189.do), Francesco Cesarini and Simon Thompson
- [Designing for Scalability with Erlang/OTP](http://shop.oreilly.com/product/0636920024149.do), Francesco Cesarini, Steve Vinoski
- [Erlang in Anger](http://www.erlang-in-anger.com/), Fred Hebert
